## sdlip.examples
Class Z39LSP

    java.lang.Object
      |
      +--sdlip.examples.Z39LSP

All Implemented Interfaces:
  Metadata, ResultAccess, Search, Timeoutable

public class Z39LSP
extends java.lang.Object
implements Search, ResultAccess, Metadata, Timeoutable

<where> <eq> <prop></prop> <literal>larson</literal> </eq> </where>

Field Summary

Fields inherited from interface sdlip.Search
`MAINTAIN_UNLIMITED, NOT_YET_KNOWN, RETURN_ALL_DOCS, UNKNOWABLE`

Fields inherited from interface sdlip.ResultAccess
`CANCEL_ALL_REQUESTS`

Constructor Summary
`Z39LSP(java.lang.String hostPort)`

Method Summary
`void` `cancelRequest(int serverSID, int reqID)`
`void` `extendStateTimeout(int serverSID, int additionalTime, org.omg.CORBA.IntHolder timeAllotted)`
`void` `getDocs(int serverSID, int reqID, XMLObject docPropList, java.lang.String docsToGet, XMLObject res)`
`void` `getInterface(XMLObject intf)`
`void` `getPropertyInfo(java.lang.String subcolName, XMLObject propInfo)`
`void` `getSessionInfo(int serverSID, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout)`
`void` `getSubcollectionInfo(XMLObject subcolInfo)`
`static void` `main(java.lang.String[] args)`
`void` `search(int clientSID, XMLObject subcollections, XMLObject query, int numDocs, XMLObject docProps, int stateTimeoutReq, XMLObject queryOptions, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout, org.omg.CORBA.IntHolder serverSID, XMLObject serverDelegate, XMLObject result)`
`void` `setDBG(DBG dbg)`
`void` `setDefaultSubcol(java.lang.String subcol)`
`void` `setSubcollectionInfo(XMLObject subcolInfo)`
`void` `timeout(java.lang.Object handle)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Z39LSP

    public Z39LSP(java.lang.String hostPort)
           throws SDLIPException

Method Detail

### setDefaultSubcol

    public void setDefaultSubcol(java.lang.String subcol)

### setDBG

    public void setDBG(DBG dbg)

### search

    public void search(int clientSID,
                       XMLObject subcollections,
                       XMLObject query,
                       int numDocs,
                       XMLObject docProps,
                       int stateTimeoutReq,
                       XMLObject queryOptions,
                       org.omg.CORBA.IntHolder expectedTotal,
                       org.omg.CORBA.IntHolder stateTimeout,
                       org.omg.CORBA.IntHolder serverSID,
                       XMLObject serverDelegate,
                       XMLObject result)
                throws SDLIPException

  Specified by:
    `search` in interface `Search`
    `SDLIPException`

### timeout

    public void timeout(java.lang.Object handle)

  Specified by:
    `timeout` in interface `Timeoutable`

### getInterface

    public void getInterface(XMLObject intf)
                      throws SDLIPException

  Specified by:
    `getInterface` in interface `Metadata`
    `SDLIPException`

### getSubcollectionInfo

    public void getSubcollectionInfo(XMLObject subcolInfo)
                              throws SDLIPException

  Specified by:
    `getSubcollectionInfo` in interface `Metadata`
    `SDLIPException`

### setSubcollectionInfo

    public void setSubcollectionInfo(XMLObject subcolInfo)
                              throws SDLIPException

    `SDLIPException`

### getPropertyInfo

    public void getPropertyInfo(java.lang.String subcolName,
                                XMLObject propInfo)
                         throws SDLIPException

  Specified by:
    `getPropertyInfo` in interface `Metadata`
    `SDLIPException`

### cancelRequest

    public void cancelRequest(int serverSID,
                              int reqID)
                       throws SDLIPException

  Specified by:
    `cancelRequest` in interface `ResultAccess`
    `SDLIPException`

### getSessionInfo

    public void getSessionInfo(int serverSID,
                               org.omg.CORBA.IntHolder expectedTotal,
                               org.omg.CORBA.IntHolder stateTimeout)
                        throws SDLIPException

  Specified by:
    `getSessionInfo` in interface `ResultAccess`
    `SDLIPException`

### getDocs

    public void getDocs(int serverSID,
                        int reqID,
                        XMLObject docPropList,
                        java.lang.String docsToGet,
                        XMLObject res)
                 throws SDLIPException

  Specified by:
    `getDocs` in interface `ResultAccess`
    `SDLIPException`

### extendStateTimeout

    public void extendStateTimeout(int serverSID,
                                   int additionalTime,
                                   org.omg.CORBA.IntHolder timeAllotted)
                            throws SDLIPException

  Specified by:
    `extendStateTimeout` in interface `ResultAccess`
    `SDLIPException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`